petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCApplyRichardsonExists

Determines whether a particular preconditioner has a built-in fast application of Richardson's method.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCApplyRichardsonExists(PC pc,PetscBool  *exists)

Not Collective

### Input Parameter

pc -the preconditioner

### Output Parameter

exists -PETSC_TRUE or PETSC_FALSE

### See Also

PCApplyRichardson()

### Level

developer

### Location

src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages